<?php

function grid_log($controller){
    
    $options = array(
        'order_by' => 'date',
        'order_to' => 'desc',
    );

    $columns = array(
        'date' => array(
            'title' => LANG_DATE,
            'width' => 150,
            'handler' => function($value, $item){
                return html_date($value, true);
            }
        ),

        'type_id' => array(
            'title' => LANG_RATINGLIKE_GRID_CTYPE,
            'width' => 150,
            'handler' => function($value, $row) {
                $model = cmsCore::getModel('content');
                $ctype = $model->getContentType($value, 'id');
                
                return $ctype['title'];
            },
        ),       
                
                
        'item_id' => array(
            'title' => LANG_RATINGLIKE_GRID_TITLE,
            'handler' => function($value, $row) {
                $model = cmsCore::getModel('content');
                $ctype = $model->getContentType($row['type_id'], 'id'); //Получаем тип контента
                $content = $model->getContentItem($ctype['name'], $value);
                
                $title = '<a target="_blank" href="' . href_to($content['slug']) . '.html">' . $content['title'] . '</a>';
                
                return $title;
            },
        ),
        'user_id' => array(
            'title'   => LANG_RATINGLIKE_GRID_USER,
            'width'   => 150,
            'handler' => function($value, $row) {
            if ($row['user_id']) {
                $users_model = cmsCore::getModel('users');
                $user = $users_model->getUser($value);
                $v = '<a target="_blank" href="' . href_to('users', $row['user_id']) . '">' . $user['nickname'] . '</a>';
            } else {
                $v = LANG_RATINGLIKE_GRID_GUEST;
            }
                return $v;
            }
        ),        
        'user_ip' => array(
            'title' => 'IP',
            'width' => 150,
            'handler' => function($value) {
                if ($value) {
                    return  long2ip($value) . '<a class="view_target tooltip" href="https://apps.db.ripe.net/search/query.html?searchtext=' . long2ip($value) . '#resultsAnchor" target="_blank" title="' . LANG_CP_USER_RIPE_SEARCH . '"></a>';
                }
                return '';
            }
        ),        

    );

    $actions = array(
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );

}

